Bug 87525 - bind-9.2.2-3 doesn't work on on-NPTL kernels
bind-9.2.2-3 doesn't work on on-NPTL kernels
Product: Red Hat Raw Hide
Classification: Retired
Component: bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-03-28 09:18 EST by Jonathan Kamens
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-07 15:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2003-03-28 09:18:17 EST
named hangs during startup when bind-9.2.2-3 is installed on a machine running a
non-NPTL kernel.  Name resolution clients also seem to hang or at least take an
extraordinarily long time to exit after printing errors.  Downgrading to
bind-9.2.1-16 makes the problem go away.
Comment 1 Daniel Walsh 2003-04-07 08:17:24 EDT
Raw Hide versions are built to run on the Latest OS using nptl.  You need to
build  from the src rpm.

Comment 2 Jonathan Kamens 2003-04-07 10:10:42 EDT
There seems to be some disagreement about whether Red Hat packages should work
on non-NPTL kernels.  Several Red Hat employees maintained throughout the beta
cycle for this release that continuing to work on non-Red-Hat, non-NPTL kernels
was a requirement for the release.  This position was reiterated as recently as
March 27 on testers-list; see
Comment 3 Daniel Walsh 2003-04-07 15:15:25 EDT
Ok I think I know what the problem was.  We rebuilt 2.2.3 - 2.2.7 using Posix
threads to try to fix the shutdown problem on RH 9.  The problem wasn't related
to Posix threads so we removed the change in 2.2.8.  Since kernels without NPTL
don't handle Posix Threads correctly Bind would be broken on them.  Try 2.2.8 to
see if this fixed the problem.


Note You need to log in before you can comment on or make changes to this bug.